## boxer-data 6

=== Makefile ===
nullstring =
space = $(nullstring) # <- notice the trailing space (only leading is stripped)

suitepairs = wheezy:jessie
suites = $(sort $(subst :,$(space),$(suitepairs)))

all: symlinkfarm

symlinkfarm:
	$(foreach pair,$(suitepairs),\
	shtool mkshadow $(subst :,$(space),$(pair)) 2>/dev/null;)

clean:
	find $(suites) -type l -delete
	find $(suites) -empty -delete

=== debian/changelog ===
boxer-data (6) unstable; urgency=medium

  * Release for unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 20:03:16 +0100

boxer-data (6~exp1) experimental; urgency=medium

  * Adapt to ABI of reclass 1.4: rename files for default classes from
    index.yml to init.yml.
    See bug#766903.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 19:33:57 +0100

boxer-data (5) unstable; urgency=medium

  * New class Desktop.design.web. Exclude that and its subclass sass
    from Desktop.design.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 03:00:06 +0100

boxer-data (4) unstable; urgency=medium

  * Adaptations for Jessie suite:
    + Desktop.web.security class install xul-ext-y-u-no-validate.
    + Desktop.media.video class install mpv (not mplayer2 or EsounD).
  * Restructure Desktop.web class:
    + Separate subclasses base and gecko from index.
    + Add subclasses webkit and chromium.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 00:21:39 +0200

boxer-data (3) unstable; urgency=medium

  * Fix Console.design class.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 00:25:33 +0200

boxer-data (2) unstable; urgency=medium

  * Rename class Desktop.mobile.photo → Desktop.photo.manage.gtk.
  * Add design classes.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Oct 2014 22:27:47 +0200

boxer-data (1) unstable; urgency=low

  * Initial release.
    Closes: Bug#765996.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Oct 2014 02:28:31 +0200

=== debian/control ===
Source: boxer-data
Section: misc
Priority: optional
Maintainer: Boxer developers <boxer-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 shtool
Standards-Version: 3.9.6
Homepage: https://wiki.debian.org/Boxer
Vcs-Git: git://anonscm.debian.org/boxer/boxer-data
Vcs-Browser: https://anonscm.debian.org/cgit/boxer/boxer-data.git

Package: boxer-data
Architecture: all
Depends: ${misc:Depends}
Enhances: ${cdbs:Enhances}
Description: classes and nodes usable by Boxer
 This package provides classes and nodes for Boxer to generate
 deployment/blending "recipes".
 .
 Boxer is a tool for system deployment and for composing blends,
 i.e designing how to have a distribution unfold onto boxes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for boxer-data
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

CDBS_BUILD_DEPENDS +=, shtool
CDBS_ENHANCES_$(pkg) = boxer

build/$(pkg)::
	$(MAKE)

clean::
	$(MAKE) clean

DEB_DH_INSTALL_ARGS_$(pkg) = jessie wheezy /usr/share/boxer

## boxer-data 10

=== Makefile ===
nullstring =
space = $(nullstring) # <- notice the trailing space (only leading is stripped)

suitepairs = $(foreach suite,wheezy jessie,$(suite)-deprecated:$(suite))
suitepairs += wheezy:jessie jessie:stretch
suites = $(filter-out %-deprecated,$(sort $(subst :,$(space),$(suitepairs))))

getnodes = $(basename $(notdir $(wildcard $1/nodes/*)))

all: symlinkfarm

symlinkfarm:
	$(foreach pair,$(suitepairs),\
	shtool mkshadow $(subst :,$(space),$(pair)) 2>/dev/null;)
	touch $@

test: symlinkfarm
	set -e; $(foreach suite,$(suites),\
	boxer compose --datadir $(suite) $(call getnodes,$(suite));)
	touch $@

clean:
	find * -type l -delete
	find * -empty -delete
	rm -f symlinkfarm test preseed.cfg script.sh

=== debian/changelog ===
boxer-data (10) unstable; urgency=medium

  * Refactor class Desktop.environment.xfce to have less hardcoded in
    base class but have more subclasses included by default.
  * Rename class Hardware.firmware → hw.firmware.
  * Enable firmware in all current motherboard classes).
  * Have class Hardware.laptop.lenovo.edge145 include
    Hardware.nic.realtek.
  * Have Jessie class Desktop.media.audio.pulseaudio add pasystray.
  * Extend class Desktop.media.
  * Add class Desktop.photo.view.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jul 2015 12:41:32 +0200

boxer-data (9) unstable; urgency=medium

  * Extend coverage of Finnish locale.
  * Fix stop use bogus class Desktop.office.libreoffice.java.avoid.
  * Add basic testsuite.
    Build-depend on boxer.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2015 11:51:12 +0200

boxer-data (8) unstable; urgency=medium

  * Fix class l10n.hunspell.en.GB.myspell to use lowercase for package
    myspell-en-gb.
  * Fix revert misconfigurations in release 7.
    + Add to Jessie class Desktop.office.libreoffice.locale.ASIA
      packages libreoffice-l10n-kk libreoffice-l10n-kmr
    + Add to Jessie class Desktop.office.libreoffice.locale.EUROPE
      package libreoffice-l10n-gd.
    + Refactor class Desktop.office.libreoffice to separate GTK+ support
      from avoiding some components, and avoid per default.
  * Add Finnish spell engine Voikko to classes
    Desktop.office.libreoffice.locale.NORDIC
    Desktop.mail.icedove.locale.NORDIC.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2015 01:46:40 +0200

boxer-data (7) unstable; urgency=medium

  * Fix some broken classes, including Printing.
    Closes: bug#767360.
  * Rename a bunch of classes, deprecating former ones when needed.
    Keep deprecated class files in separate directory.
  * Fix avoid obsolete or not yet available packages since Jessie:
    + bluez-gstreamer
    + epdfview
    + gstreamer0.10-ffmpeg
    + iceowl-l10n-fi
    + iceowl-l10n-gd
    + iceowl-l10n-id
    + iceowl-l10n-lt
    + iceowl-l10n-nb-no
    + iceowl-l10n-pa-in
    + iceowl-l10n-sq
    + iceowl-l10n-tr
    + iceowl-l10n-uk
  * Refactor l10n and other localisation classes.
  * Improve README: Clarify when appropriate to use pkg-avoid with
    lowercase classes.
  * Enumerate bugs as separate parameters, and Add a few bug closures.
  * Fix consistently lowercase parameter labels.
  * Stop embed __PKGAUTOLIST__ in tweaks in class Admin.apt.auto.all
    (supported since Boxer 0.004).
  * Adjust README: Classes are neither objective nor subjective.
  * Avoid cpufrequtils and deprecate (now empty) class hw.power: Better
    handled by kernel modules since Wheezy.
  * Limit classes ...locale.SCANDINAVIA to mutually intelligible
    languages, and add superclass NORDIC for the whole region.
  * Drop Wheezy and Jessie classes deprecated before release of Jessie.
    Introduce stretch classes.
  * Redefine class Desktop.office.gtk to mean GTK+-related office tools
    (not GTK+ parts of default - i.e. LibreOffice - office tools).
  * Have Jessie class Hardware.laptop.lenovo.edge145 include new
    class Hardware.nic.broadcom.b43: Non-free STA driver unneeded since
    kernel 4.0.5.
  * Fix stop have class Task.harden.desktop include
    Framework.media.gstreamer.avoid: Unrelated to hardening, and clashes
    with indirect GStreamer dependency via task-xfce-desktop.
    See bug#774282.
  * Add lots of new classes and a few new nodes.
  * Add a bunch of TODOs.
  * Update copyright info:
    + Extend coverage for packaging to current year.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jul 2015 11:39:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2014 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2014, 2015 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for boxer-data
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,18 +16,14 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/buildcore.mk
+include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-CDBS_BUILD_DEPENDS +=, shtool
+CDBS_BUILD_DEPENDS +=, shtool, boxer
 CDBS_ENHANCES_$(pkg) = boxer
 
-build/$(pkg)::
-	$(MAKE)
+DEB_MAKE_CHECK_TARGET = test
 
-clean::
-	$(MAKE) clean
-
-DEB_DH_INSTALL_ARGS_$(pkg) = jessie wheezy /usr/share/boxer
+DEB_DH_INSTALL_ARGS_$(pkg) = jessie wheezy stretch wheezy-deprecated /usr/share/boxer

## boxer-data 10.4.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 suitepairs += wheezy:jessie jessie:stretch
 suites = $(filter-out %-deprecated,$(sort $(subst :,$(space),$(suitepairs))))
 
-getnodes = $(basename $(notdir $(wildcard $1/nodes/*)))
+getnodes = $(basename $(notdir $(wildcard $1/nodes/*.yml)))
 
 all: symlinkfarm

=== debian/changelog ===
boxer-data (10.4.0) unstable; urgency=medium

  * Fix avoid mail-transport-agent (not install gone lsb-invalid-mta)
    for Stretch.
  * Fix untie Desktop.environment.xfce.power from its superclass.
  * Fix avoid hpijs-ppds (not bogus hpijs) in class
    Service.print.cups.avoid.
  * Fix avoid only non-meta printer-driver-* depending on or
    recommending cups in class Service.print.cups.avoid.
  * Fix syntax of class Console.bidi.
  * Fix some section labels.
  * Fix add Console.locale.avoid, and stop avoid Desktop classes in
    other subclasses of Console.locale.
  * Fix typo in package description for class Desktop.wm.openbox.limit.
  * Fix limit linux kernels marked as auto-installed.
  * Add classes:
    + Desktop.email.gtk
    + Desktop.email.sylpheed
    + Desktop.environment.gnome
    + Desktop.environment.lxde.limit
    + Desktop.environment.lxde.policykit-agent
    + Desktop.filesystem.manager.nautilus
    + Desktop.media.video.mpv.gtk (for Stretch)
    + Desktop.office.libreoffice.gnome
    + Desktop.terminal.lxde
    + Desktop.tools.print
    + Framework.auth.gnome.keyring.avoid
    + Framework.documentation
    + Framework.filesystem.gvfs
    + Framework.theme.gnome
    + Framework.vcs
    + Service.print.cups.ipp-usb (for Stretch)
    + x11.gdm
  * Extend classes:
    + Service.print (printer driver subclasses, CUPS client classes)
    + Service.print.minolta.zjstream (non-free firmware download tool)
    + Language.tcl.avoid (also avoid tk)
  * Stop include Console.filesystem.indexer in Console: Arguably too
    uncommon a feature.
  * Deprecate class Desktop.tools.terminal.lxde.
  * Subclass Console.tools. Update class Console.tools.filesystem to
    include package dfc in both stretch (i.e. only avoid in jessie).
  * Add notes on version numbering to README.source.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2015 21:43:15 +0530

boxer-data (10.3.4) unstable; urgency=medium

  * Include gnome-system-tools (not usermode - too unstable) in class
    Desktop.tools.account.
  * Add classes:
    + Desktop.environment.lxde
    + Desktop.tools.terminal.lxde
    + Framework.theme.lxde

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Dec 2015 03:10:18 +0545

boxer-data (10.3.3) unstable; urgency=medium

  * Deprecate Hardware.crypto and hw.power (as intended in release 7).
  * Avoid task-* packages (use corresponding classes/packages instead.
  * Improve class Admin.etc.functions:
    + Fix function _backup() to create *.bak file if *.orig exists.
    + Fix cunction _clone() to force-copy (backup was made).
    + Fix function _clone() to test for source before making backup.
    + Add functions _backup_todir() _setline().
  * Fix broken init class Framework.pkg.apt.
  * Fix typo in class Framework.pkg.base.
  * Add classes:
    + Service.ntp subclasses
    + Service.scheduler
    + Service.time.openntpd.force
    + Admin.apt subclasses
    + Framework.pkg.apt subclasses
    + Service.dns.caching
    + Console.setup
    + Service.firewall
    + Hardware.net.interfaces
    + Hardware subclasses for ARM devices
    + Service.dhcp subclasses
  * Add node gateway.
  * Update TODO: Add note on regression testing shell code.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Nov 2015 11:53:34 +0100

boxer-data (10.3.2) unstable; urgency=medium

  * Fix include origami-pdf (not origami) in Desktop.design.pdf.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Nov 2015 20:09:08 +0100

boxer-data (10.3.1) unstable; urgency=medium

  * Pseudo-drop (i.e. empty) Stretch class Desktop.media.video.web: No
    longer sensible even to avoid.
  * Fix suppress failure to mark package auto-installed.
  * Update CHANGES.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Modernize git-buildpackage config: Avoid git- prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Nov 2015 14:01:37 +0100

boxer-data (10.3.0) unstable; urgency=medium

  * Add locale (not only localeregion) classes for India.
  * Include hunspell and hyphen classes in more places.
  * Small adjustments to ZA localegroup classes.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Nov 2015 03:55:01 +0100

boxer-data (10.2.1) unstable; urgency=medium

  * Fix add missing ZA localegroup classes, and class l10n.hyphen.en.
  * Add sample ShowMeBox nodes, to test recently added classes:
    + Desktop.environment.gnustep
    + Desktop.environment.razorqt
    + Desktop.locale.ZA
    + Framework.notebook.ipython

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Nov 2015 21:40:21 +0100

boxer-data (10.2.0) unstable; urgency=medium

  * Add locale classes for official South African languages.
  * Fix drop bogus package iceweasel-l10n-nso from class
    Desktop.web.iceweasel.locale.ZA.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Nov 2015 20:33:12 +0100

boxer-data (10.1.1) unstable; urgency=medium

  * Fix drop dfc from Wheezy and Jessie (not only Stretch).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Nov 2015 13:28:37 +0100

boxer-data (10.1.0) unstable; urgency=medium

  * Fix singlequote-escape \n in tweaks.
  * Fix stop include dfc (class Console.tools) or usermode (class
    Desktop.tools.account) since Stretch: Currently missing.
  * Add class Framework.notebook.ipython.
  * Add classes Desktop.environment.gnustep Desktop.wm.windowmaker
    x11.wdm.
  * Extend class Framework.media.gstreamer.avoid to also avoid GStreamer
    1.0 since Jessie.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Sep 2015 22:09:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- shtool
+ shtool,
+ boxer
 Standards-Version: 3.9.6
 Homepage: https://wiki.debian.org/Boxer
 Vcs-Git: git://anonscm.debian.org/boxer/boxer-data

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+
 CDBS_BUILD_DEPENDS +=, shtool, boxer
 CDBS_ENHANCES_$(pkg) = boxer

## boxer-data 10.5.11

=== debian/changelog ===
boxer-data (10.5.11) unstable; urgency=medium

  * Fix class Admin.etc.functions to escape $ in regex.
  * Fix temporarily suppress class Console.mobile.sync since Stretch
    (see bug#824426).
  * Improve class Admin.etc.functions to bang-enclose regex (instead of
    comma, more likely to appear in content.
  * Improve class Admin.etc.functions: Introduce functions
    _setappendline _setappendvar.
  * Update class Desktop.scheduling.iceowl.locale:
    + Include locales ar be bn br cy el fi gd gl he hy id lt nb-no pa pt
      rm ro si sl sq sr ta tr uk vi since Jessie (not only Stretch:
      Introduced in point release 8.5).
  * Update class Desktop.web.iceweasel.locale:
    + Include locales an az dsb eo gn hsb ms sr uz since Jessie (not
      only Stretch: Introduced in point release 8.5).
    + Fix avoid obsolete locale zu since Jessie (not only Stretch).
  * Update class Desktop.email.icedove.locale:
    + Have locale class bn include bn.IN since Stretch.
  * Update class l10n.hunspell:
    + Use myspell (not hunspell) for locales en.GB en.ZA since Jessie
      (not only Stretch).
  * Extend class Desktop.mobile.sync:
    + Add by-widget subclasses.
    + Add more packages.
  * Extend class Console.tools:
    + Include Console.compression.
    + Include Console.tools.media.
  * Extend class Console.tools.filesystem:
    + Add package eject.
  * Extend class Admin.tools.hardware:
    + Add package usbutils.
  * Extend class Service.display.xorg.video:
    + Add subclasses all.avoid omap.
  * Extend class Admin.tools:
    + Add subclasses disk hardware.low-level network.
  * Add classes:
    + Framework.pkg.apt.source.functions
    + Console.tools.media
    + Service.init
    + hw.soc.ti
    + Hardware.nic.ti
    + Hardware.nic.marvell
    + Hardware.motherboard.goldelico
    + Hardware.laptop.openpandora
  * Add class Language.c.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jun 2016 00:53:17 +0200

boxer-data (10.5.10) unstable; urgency=medium

  * Fix class Desktop.web.iceweasel.locale:
    + Avoid locales no-* in EUROPE (not only SCANDINAVIA).
    + Avoid including metapackage icedove-l10n-all.
  * Fix class Desktop.email.icedove.locale:
    + Avoid locales no-* in EUROPE (not only SCANDINAVIA).
  * Improve class Desktop.scheduling.iceowl.locale:
    + Stop avoid locales lt no-* (see bug#824750).
  * Improve class Desktop.web.iceweasel.locale:
    + Stop avoid locale bg (not affected my myspell/hunspell issue).
    + Include locale pa-in.
  * Improve class Desktop.office.libreoffice.locale:
    + Include locales am gug st.
  * Fix class Desktop.web.iceweasel.locale:
    + Include locale sr only since Stretch.
    + Stop include locales csb ku zu in Jessie (available only as
      security update).
  * Fix class Desktop.office.libreoffice:
    + Stop include subclass theme.galaxy.avoid (not only since Stretch).
  * Fix class l10n.hunspell:
    + Use hunspell (not myspell) for de-* only since Stretch.
  * Fix localegroup classes:
    + Avoid packages hunspell-sr hunspell-vi in Jessie (clashes with
      myspell-da).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2016 14:33:09 +0200

boxer-data (10.5.9) unstable; urgency=medium

  * Fix avoid iceweasel locale packages de bg uk recommending only
    myspell since Stretch.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2016 01:40:39 +0200

boxer-data (10.5.8) unstable; urgency=medium

  * Fix work around myspell/hunspell clash for locales de-* gd uk since
    Stretch:
    + Have classes l10n.hunspell.* include hunspell-* (not myspell-*).
  * Fix avoid norwegian dictionaries missing since Stretch:
    + Use hunspell (not missing myspell) by default.
    + Avoid mozilla locale packages recommending only myspell.
    See bug#790765, #802950.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 May 2016 20:30:58 +0200

boxer-data (10.5.7) unstable; urgency=medium

  * Fix class l10n.hunspell.hunspell.lt: Package myspell-lt is gone
    (replaced with transitional package).
    + Avoid mozilla packages for locale lt since Stretch: Transitional
      package effectively conflicts with itself (see bug#824796).
  * Fix class l10n.hunspell.hunspell.vi: Only hunspell exists.
  * Fix class Desktop.office.libreoffice.locale.ASIA: Drop locale
    package ku gone since Stretch.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 May 2016 23:11:50 +0200

boxer-data (10.5.6) unstable; urgency=medium

  * Fix class l10n.hunspell to favor myspell subclasses (Mozilla locale
    packages conflict with hunspell packages - see bug#824750, 824776#):
    bg ca cs de el es fr gd he hr hu it lt nb nl nn pl pt ru sk sl sv uk
    vi.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 May 2016 19:42:54 +0200

boxer-data (10.5.5) unstable; urgency=medium

  * Fix have class Desktop.email.icedove.bidi include icedove-bidiui
    (not bogus icedove-l10n-bidiui).
  * Fix have class Desktop.web.iceweasel.locale.AFRICA stop include
    iceweasel-l10n-ak iceweasel-l10n-lg since Jessie.
  * Fix have class Desktop.web.iceweasel.locale.ASIA stop include
    iceweasel-l10n-ku since Stretch.
  * Fix have class Desktop.web.iceweasel.locale.ZA stop include
    iceweasel-l10n-zu since Stretch.
  * Fix have class Desktop.web.iceweasel.locale.ASIA to consistently
    include iceweasel-l10n-ta (not iceweasel-l10n-ta-lk).
  * Fix have class l10n stop include bogus mythes-zu.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2016 22:41:51 +0200

boxer-data (10.5.4) unstable; urgency=medium

  * Fix have class Desktop.office.libreoffice stop include subclass
    theme.galaxy.avoid since Stretch: Tango theme depends on Galaxy
    theme in LibreOffice 5).
    Closes: bug#823962. Thanks to Ralf Treinen.
  * Extend class l10n.hunspell:
    + Add be.
    + Add br (since Jessie).
    + Add bs (since Stretch).
  * Extend use of l10n/* in Desktop localeregion classes.
  * Update CHANGES.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2016 04:20:11 +0200

boxer-data (10.5.3) unstable; urgency=medium



=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2014, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2014-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for boxer-data
 #
 # This program is free software; you can redistribute it and/or modify

## boxer-data 10.5.15

=== debian/changelog ===
boxer-data (10.5.15) unstable; urgency=medium

  * Improve class Framework.pkg.apt.avoid-removals:
    + Avoid removals without favoring downgrades.
    + Add more bug references.
  * Avoid Pencil2D: Deemed immature by its package maintainer.
    See bug#854277.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Mar 2017 17:07:04 +0100

boxer-data (10.5.14) unstable; urgency=medium

  * Extend class Console:
    + Add subclass web. Include Console.web in Console.
    + Include Console.web.tools in Console.tools.network.
  * Extend class Console.tools.network:
    + Add package rsync.
  * Extend class Admin.apt.tools.changes:
    + Add subclasses confirm which.
  * Change class Admin.tools:
    + Include class Admin.tools.disk.partition.
    + Stop include classes Console.tools.media Framework.documentation
      Framework.vcs Admin.tools.dns.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Dec 2016 01:29:20 +0100

boxer-data (10.5.13) unstable; urgency=medium

  * Avoid BookletImposer since stretch.
    See bug#834007 (and #846263).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2016 02:07:48 +0100

boxer-data (10.5.12) unstable; urgency=medium

  * Fix release version and date in CHANGES.
  * Fix class Framework.pkg.apt.source.functions (missing escape in
    function _setaptsrc).
  * Fix class Admin.disk.auto: Append var if missing (rcS file is empty
    by default since stretch).
  * Fix class Framework.pkg.apt.source.functions (missing separator
    before function _resetaptsrc).
  * Fix class Framework.pkg.apt.proxy.reset (wrong assumtion that
    /etc/apt/apt.conf always exist).
  * Fix class Framework.pkg.apt.source.reset (broken variable
    expansions, stray trailing curly quote).
  * Fix class Service.mail.mta.avoid for Stretch: list MTAs individually
    (cannot avoid a virtual package).
  * Fix class Service.init.systemd.init: Include package systemd-sysv
    (not sysvinit).
  * Fix class Desktop.office.libreoffice since Stretch:
    + Add gtk subclasses gtk2 gtk3.
    + Adjust subclass gnome to use gtk.gtk3.
    Closes: Bug#833796. Thanks to Rene Engelhard.
  * Reduce class Admin.auto:
    + Stop include Admin.disk.auto.
    + Mention in Admin.disk.auto description it being useful only with
      non-systemd init systems.
  * Reduce class Admin.tools.processes:
    + Stop include package atop (only limited use).
  * Extend class Service.mail.mta:
    + Add subclasses dma msmtp.
  * Extend class Service.firewall:
    + Add subclass firewalld.
  * Extend class Admin.tools.dns:
    + Add subclass knot.
    + Move default to subclass bind9.
  * Extend class Service.scheduler:
    + Add subclass systemd.
  * Extend class Admin.apt.tools:
    + Add subclass libreload since Jessie, included in main class.
  * Add device-specific u-boot classes.
  * Add class Framework.localization.limit.
  * Add TODO on testing Service.mail.mta.avoid coverage.
  * Add TODO about packages with limited security support.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Nov 2016 19:49:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,6 @@
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
 CDBS_BUILD_DEPENDS +=, shtool, boxer
 CDBS_ENHANCES_$(pkg) = boxer

## boxer-data 10.5.20

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 nullstring =
 space = $(nullstring) # <- notice the trailing space (only leading is stripped)
 
-suitepairs = $(foreach suite,wheezy jessie,$(suite)-deprecated:$(suite))
+suitepairs = wheezy-deprecated:jessie-deprecated
 suitepairs += wheezy:jessie jessie:stretch
 suites = $(filter-out %-deprecated,$(sort $(subst :,$(space),$(suitepairs))))

=== debian/changelog ===
boxer-data (10.5.20) unstable; urgency=medium

  * Fix isolated deprecated classes from non-deprecated classes.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Apr 2017 22:18:38 +0200

boxer-data (10.5.19) unstable; urgency=medium

  * Fix included jessie-deprecated classes, avoiding broken symlinks.
    Closes: Bug#860581. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Apr 2017 02:43:43 +0200

boxer-data (10.5.18) unstable; urgency=medium

  * Fix class Desktop.scheduling.lightning: Install package lightning
    (not bogus lighning-extension).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Apr 2017 15:28:47 +0200

boxer-data (10.5.17) unstable; urgency=medium

  * Fix revert class l10n.hunspell to use myspell (not hunspell) for
    norwegian: Firefox locale packages still too picky.
  * Fix revert class Desktop.email.thunderbird.bidi to include package
    icedove-bidiui (not bogus thunderbird-bidiui).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Apr 2017 14:11:24 +0200

boxer-data (10.5.16) unstable; urgency=medium

  * Rename classes (see bug#860026):
    + Desktop.web.iceweasel → Desktop.web.firefox (since jessie).
    + Desktop.email.icedove → Desktop.email.thunderbird (since stretch).
    + Desktop.scheduling.iceowl → Desktop.scheduling.thunderbird (since
      stretch).
  * Re-enable class Console.mobile.sync (see bug#824426).
  * Fix re-enable dictionary and/or locale packages (see bug#782720,
    #824750, #824776, #824796):
    + norwegian
    + icelandic
    + gaelic
    + lithuanian
    + croatian

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Apr 2017 12:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  dh-buildinfo,
  shtool,
  boxer
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.debian.org/Boxer
-Vcs-Git: git://anonscm.debian.org/boxer/boxer-data
+Vcs-Git: https://anonscm.debian.org/git/boxer/boxer-data
 Vcs-Browser: https://anonscm.debian.org/cgit/boxer/boxer-data.git
 
 Package: boxer-data

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,4 @@
 
 DEB_MAKE_CHECK_TARGET = test
 
-DEB_DH_INSTALL_ARGS_$(pkg) = jessie wheezy stretch wheezy-deprecated /usr/share/boxer
+DEB_DH_INSTALL_ARGS_$(pkg) = jessie wheezy stretch wheezy-deprecated jessie-deprecated /usr/share/boxer

## boxer-data 10.5.20+rpi1

=== debian/changelog ===
boxer-data (10.5.20+rpi1) stretch-staging; urgency=medium

  * Comment out references to cruft package firefox-esr-l10n-be

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 17 Jun 2017 19:55:53 +0000

## boxer-data 10.6.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 space = $(nullstring) # <- notice the trailing space (only leading is stripped)
 
 suitepairs = wheezy-deprecated:jessie-deprecated
-suitepairs += wheezy:jessie jessie:stretch
+suitepairs += wheezy:jessie jessie:stretch stretch:buster
 suites = $(filter-out %-deprecated,$(sort $(subst :,$(space),$(suitepairs))))
 
 getnodes = $(basename $(notdir $(wildcard $1/nodes/*.yml)))

=== debian/changelog ===
boxer-data (10.6.3) unstable; urgency=medium

  * Update class Console.design.painting:
    + Include package optipng (not inferior package pngcrush).
  * Update node huayruro-classmate:
    + Stop include class Desktop.office.gtk.
  * Update class Desktop.office.libreoffice.word-processor:
    + Stop avoid package libreoffice-emailmerge (since jessie):
      Obsolete.
  * Update classes Desktop.environment.xfce.base
    Desktop.environment.xfce.audio:
    + Include/avoid package xfce4-pulseaudio-plugin (since stretch).
    + Stop include/avoid xfce4-mixer xfce4-volumed.
  * Update class Console.media.audio.pulseaudio.client:
    + Include package pulsemixer (since buster).
  * Fix class Desktop.web.firefox.locale.de spuriously dropping all
    packages when included (since stretch): Single package commented out
    need "pkg:" declaration itself commented out.
  * Fix class l10n.hunspell.nl (since buster):
    + Include package hunspell-nl (not myspell-nl).
    Closes: Bug#886814. Thanks to Rene Engelhard.
  * Add some TODOs.
  * Add new classes:
    + Hardware.igp.intel.skylake
    + Hardware.laptop.purism
    + Hardware.motherboard.intel.skylake-u
    + Hardware.nic.atheros
    + Hardware.sound.intel.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jan 2018 14:56:22 +0100

boxer-data (10.6.2) unstable; urgency=high

  * Fix class x11.lightdm.gtk to include package slick-greeter (not
    bogus lightdm-slick-greeter).
    Thanks to Mattia Rizzolo.
  * Add class hw.soc.allwinner.a64 (since buster).
  * Raise ugency to limit above minimal changes delay on pending fixes.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Nov 2017 18:43:30 +0100

boxer-data (10.6.1) unstable; urgency=medium

  * Fix class l10n.hunspell.sl:
    + Include package hunspell-sl (not myspell-sl).
      Closes: Bug#872712. Thanks to Mattia Rizzolo and Rene Engelhard.
    + Relax class Desktop.web.firefox.locale.EU (since stretch): Avoid
      package firefox-esr-l10n-sl (see bug#881241).
  * Extend class x11.lightdm.gtk:
    + Add subclass slick since buster
    + Use subclass slick by default (gtk greeter recommends
      metapackages).
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Nov 2017 11:39:05 +0100

boxer-data (10.6.0) unstable; urgency=medium

  * Add suite buster.
  * Fix typo in changelog entry.
  * Fix class Desktop.web.iceweasel.locale: Drop locale be (since
    stretch).
    Closes: Bug#864985. Thanks to Peter Green.
  * Fix class Desktop.designcolor: Drop package gcolor2 (since stretch).
    Closes: Bug#869155. Thanks to Tobias Frost.
  * Fix class Admin.etc.functions to use grep -E (not deprecated egrep).
    See bug#867658, #867695.
  * Simplify rules: Stop resolve package relations in rules file.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Nov 2017 11:59:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  dh-buildinfo,
  shtool,
  boxer
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://wiki.debian.org/Boxer
-Vcs-Git: https://anonscm.debian.org/git/boxer/boxer-data
-Vcs-Browser: https://anonscm.debian.org/cgit/boxer/boxer-data.git
+Vcs-Git: https://anonscm.debian.org/git/boxer/boxer-data.git
+Vcs-Browser: https://anonscm.debian.org/git/boxer/boxer-data.git
 
 Package: boxer-data
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: ${cdbs:Enhances}
+Enhances: boxer
 Description: classes and nodes usable by Boxer
  This package provides classes and nodes for Boxer to generate
  deployment/blending "recipes".

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2014-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2014-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for boxer-data
 #
 # This program is free software; you can redistribute it and/or modify
@@ -21,9 +21,6 @@
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-CDBS_BUILD_DEPENDS +=, shtool, boxer
-CDBS_ENHANCES_$(pkg) = boxer
-
 DEB_MAKE_CHECK_TARGET = test
 
-DEB_DH_INSTALL_ARGS_$(pkg) = jessie wheezy stretch wheezy-deprecated jessie-deprecated /usr/share/boxer
+DEB_DH_INSTALL_ARGS_$(pkg) = jessie wheezy stretch buster wheezy-deprecated jessie-deprecated /usr/share/boxer

## boxer-data 10.6.4

=== debian/changelog ===
boxer-data (10.6.4) unstable; urgency=medium

  * Update class Hardware.laptop.purism.librem13v1:
    + Add class Hardware.nic.realtek
      (uses firmware RTL8168E-2 available since firmware-nonfree 0.38).
  * Add class hw.soc.allwinner.a64 (since jessie).
    Add class Hardware.laptop.olimex.teres1 (since buster).
  * Update Vcs-* fields: Source moved to Salsa.
  * Declare source package as not requiring root to build.
  * Declare compliance with Debian Policy 4.1.1.
  * Update package relations: Stop build-depend on dh-buildinfo.
  * Add a bunch of ideas to TODO file.
  * Add autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Jul 2018 16:40:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
  debhelper,
- dh-buildinfo,
  shtool,
  boxer
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: https://wiki.debian.org/Boxer
-Vcs-Git: https://anonscm.debian.org/git/boxer/boxer-data.git
-Vcs-Browser: https://anonscm.debian.org/git/boxer/boxer-data.git
+Vcs-Git: https://salsa.debian.org/boxer-team/boxer-data.git
+Vcs-Browser: https://salsa.debian.org/boxer-team/boxer-data
+Rules-Requires-Root: no
 
 Package: boxer-data
 Architecture: all

=== debian/tests/control ===
Tests: boxer-tests
Depends: boxer, boxer-data
Restrictions: allow-stderr

## boxer-data 10.7.2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
 nullstring =
 space = $(nullstring) # <- notice the trailing space (only leading is stripped)
 
-suitepairs = wheezy-deprecated:jessie-deprecated
-suitepairs += wheezy:jessie jessie:stretch stretch:buster
-suites = $(filter-out %-deprecated,$(sort $(subst :,$(space),$(suitepairs))))
+suitepairs = stretch:buster buster:bullseye
+suites = $(sort $(subst :,$(space),$(suitepairs)))
 
 getnodes = $(basename $(notdir $(wildcard $1/nodes/*.yml)))

=== debian/changelog ===
boxer-data (10.7.2) unstable; urgency=medium

  * Update class Desktop.design.font.tools.gtk:
    + Stop include typecatcher since Buster.
  * Declare compliance with Debian Policy 4.3.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Dec 2018 20:31:24 +0100

boxer-data (10.7.1) unstable; urgency=medium

  * Drop class Desktop.media.video.web: Unused since Jessie.
  * Drop classes Desktop.web.firefox.locale.zu Desktop.web.locale.zu
    l10n.hunspell.de.AT.hunspell l10n.hunspell.de.CH.hunspell
    l10n.hunspell.de.DE.hunspell l10n.hunspell.en.GB.myspell
    l10n.hunspell.en.ZA.myspell l10n.hunspell.lt.myspell:
    Unused since Jessie.
  * Update class Desktop.filesystem.indexer.locate:
    + Use subclass gtk (i.e. package catfish,
      not subclass xfce i.e. package xfce4-linelight-plugin)
      since Buster.
  * Update class Desktop.environment.xfce.file-manager:
    + Stop explicitly include package gvfs:
      Handled in package thunar since long.
  * Update class Desktop.environment.xfce:
    + Include (not avoid) subclass audio (GStreamer 0.10 is gone).
  * Update class Desktop.mobile.sync.gtk:
    + Stop flag package evolution-data-server as auto-installed.
  * Update node huayruro-classmate:
    + Include class Desktop.web.webkit (not Desktop.web.webkit.gnome):
      package midori updated to use modern WebKitGTK+.
  * Update class Desktop.design.pdf:
    + Include bookletimposer.
    + Stop include pdfshuffler since Buster.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Dec 2018 11:14:38 +0100

boxer-data (10.7.0) unstable; urgency=medium

  * Stop provide deprecated suite extensions.
  * Stop provide obsolete suites wheezy jessie.
    Introduce future suite bullseye.
  * Drop classes Desktop.scheduling.locale
    Desktop.scheduling.lightning.locale
    (obsolete since Quantum release of Thunderbird).
  * Use short-form dh sequencer (not cdbs).
    Stop build-depend on cdbs.
  * Declare compliance with Debian Policy 4.2.1.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Fix update source URL.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Nov 2018 16:09:19 +0100

boxer-data (10.6.8) unstable; urgency=medium

  * Fix class Desktop.email.thunderbird.locale:
    + Drop locale subclasses bn pa ta
      (unavailable since Quantum release).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Nov 2018 13:18:36 +0100

boxer-data (10.6.7) unstable; urgency=medium

  * Fix class Desktop.email.thunderbird.bidi:
    + Include package thunderbird-bidiui (not iceweasel-bidiui)
      since Buster.
      See bug#913391.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Nov 2018 13:46:40 +0100

boxer-data (10.6.6) unstable; urgency=medium

  * Update class Framework.pkg.apt.source.reset:
    + Fix use host deb.debian.org (not httpredir.debian.org).
  * Fix typo in TODO.
  * Deprecate class Hardware.net.pac.avoid
    (Obsolete since libproxy 0.4.x.)
  * Fix class Service.web.mail.cider:
    + Really install (not auto-install) package ciderwebmail.
  * Fix class Service.web.apache.gnutls:
    + Really install package libapache2-mod-gnutls.
  * Fix class Service.web.wiki.moinmoin:
    + Really install (not auto-install) package python-moinmoin.
  * Update class l10n.hunspell:
    + Use hunspell (not myspell) for locales
      bg ca cs el es fr he hu nl pl pt.BR pt.PT ru sk sv since Stretch.
    + Use hunspell (not myspell) for locale lv since Buster.
  * Update class Desktop.web.iceweasel.locale:
    + Re-include packages firefox-esr-l10n-be firefox-esr-l10n-de
      firefox-esr-l10n-sl firefox-esr-l10n-uk
      previously dropped since Stretch.
  * Update class Desktop.web.iceweasel.locale:
    + include packages firefox-esr-l10n-cak firefox-esr-l10n-ia
      firefox-esr-l10n-ka firefox-esr-l10n-kab firefox-esr-l10n-my
      firefox-esr-l10n-ne-np firefox-esr-l10n-oc firefox-esr-l10n-ur
      since Jessie.
  * Fix class l10n.hunspell.de.medical:
    + include package hunspell-de-med (not bogus hunspell-en-medical).
  * Update class l10n.hunspell:
    + Add subclasses bo nb.hunspell nn.hunspell since Stretch.
    + Add subclasses dz gug id since Buster.
  * Fix class l10n.hunspell.de.DE:
    + Include/avoid package myspell-de-de-1901
      (not myspell-de-de-oldspell) since Stretch.
  * Fix class l10n.hunspell:
    + Really use hunspell (not myspell) for locales en.GB en.ZA
      since Jessie (as intended since June 2016, git commit 834e2bf,
      despite reverse commit message).
  * Deprecate class l10n.hunspell.en.US.myspell.
  * Update class l10n.hunspell:
    + Add subclass sq since Buster.
  * Fix class Desktop.design.painting:
    + Avoid packages mypaint mypaint-data-extras (see bug#894757).
  * Drop class l10n.hunspell.bg.myspell:
    + Obsolete since Stretch (and now implied until then).
  * Drop class l10n.hunspell.sv.myspell:
    + Transitional since (at least) Jessie.
  * Fix class l10n.hunspell.de.de.old:
    + Fix include package myspell-de-de-1901
      (not myspell-de-de-oldspell) since Stretch.
  * Update class Admin.auto.all:
    + Flag as auto-installed package dbus since Jessie.
    + Flag as auto-installed package apparmor since Buster.
  * Update class hw.crypto:
    + Include package jitterentropy-rngd (not haveged) since Buster.
  * Update class Console.design:
    + Include package scour (not python-scour) since Buster.
  * Fix class Desktop.web.firefox.harden:
    + Include packages webext-https-everywhere webext-ublock-origin.
    + Stop include packages xul-ext-certificatepatrol
      xul-ext-cookie-monster xul-ext-flashblock xul-ext-noscript
      xul-ext-refcontrol xul-ext-requestpolicy xul-ext-y-u-no-validate
      (obsoleted by switch to Quantum Firefox).
  * Extend class Desktop.web.firefox.harden:
    + Include packages webext-https-everywhere webext-ublock-origin
      since Buster.
  * Fix class Desktop.email.thunderbird.locale.fi:
    + Stop install xul-ext-mozvoikko (handled by thunderbird-l10n-fi,
      see bug#792367).


## boxer-data 10.7.6

=== Makefile ===
suites = stretch buster
getnodes = $(basename $(notdir $(wildcard $1/nodes/*.yml)))

all: symlinkfarm

symlinkfarm:
	shtool mkshadow stretch buster 2>/dev/null
	touch $@

test: symlinkfarm
	set -e; $(foreach suite,$(suites),\
	boxer compose --datadir $(suite) $(call getnodes,$(suite));)
	touch $@

clean:
	find * -type l -delete
	find * -empty -delete
	rm -f symlinkfarm test preseed.cfg script.sh

.PHONY: all clean

=== debian/changelog ===
boxer-data (10.7.6) unstable; urgency=medium

  * Fix use hint "bug" (not bogus "bugs" unsupported since boxer 1.3.0).
    Closes: Bug#924382. Thanks to Santiago Vila <sanvila@debian.org>.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Mar 2019 11:06:49 +0100

boxer-data (10.7.5) unstable; urgency=medium

  * Fix autopkgtest: Depends on boxer.
    Closes: Bug#919581. Thanks to Paul Gevers.
  * Update class Admin.harden:
    + Include package debian-security-support.
    + Include package hardening-runtime since Buster.
  * Update class Framework.rdf.redland:
    + Include package python3-librdf (not python-librdf)
      in subclass binding.python.
    + Include package python-rdflib-tools in subclass tools.
    + Add subclass binding.r since Buster.
    + Include package ontospy in subclass tools since Buster.
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Feb 2019 19:15:32 +0100

boxer-data (10.7.4) unstable; urgency=medium

  * Fix class Framework.media.gstreamer:
    + Stop reference obsolete v0.10 libraries.
  * Extend class Desktop.editor.text:
    + Add subclasses code prose gtk kde qt.
    + Drop subclasses kephra kwrite leafpad mousepad pyroom.
  * Extend autopkgtest:
    + Check that resolved packages are installable.
  * Fix class Service.mail.sieve:
    + Include package dovecot-managesieved
      (not bogus dovecot-managesieve).
  * Fix class Admin.harden:
    + Stop include obsolete package harden.
  * Fix class cli.compression.uncommon:
    + Stop include obsolete package zoo.
  * Update class Framework.notebook:
    + Fix drop obsolete subclass ipython.
    + Add subclass jupyter.
  * Fix drop obsolete classes Desktop.web.java Desktop.web.firefox.java.
  * Update class Language.java:
    + Fix drop obsolete subclasses openjdk6 openjdk7.
    + Add subclasses avoid limit.
    + Add subclass openjdk11 since Buster.
  * Fix provide data only for suites Stretch and Buster
    (not also future Bullseye).
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Jan 2019 21:36:10 +0100

boxer-data (10.7.3) experimental; urgency=medium

  * Update class Admin.tools.network.wifi:
    + Include package iwd (not iw wireless-tools rfkill) since Buster.
    + Include package wpasupplicant before Buster.
  * Update class Service.ssh:
    + Stop mark as auto-installed packages
      openssh-blacklist openssh-blacklist-extra: Obsolete.
  * Extend class Service.ssh:
    + Add subclasses client server openssh.
  * Update class cli.ssh-server:
    + Stop include package molly-guard: Too unreliable.
  * Update class Hardware.laptop.olimex.teres1:
    + Provide since Stretch (not Buster):
      Simplifies use even though it requires backported packages.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Dec 2018 21:54:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Boxer developers <boxer-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Build-Depends:
  debhelper,
  shtool,
  boxer
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://wiki.debian.org/Boxer
 Vcs-Git: https://salsa.debian.org/boxer-team/boxer-data.git
 Vcs-Browser: https://salsa.debian.org/boxer-team/boxer-data

## boxer-data 10.7.6+nmu1

=== debian/changelog ===
boxer-data (10.7.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:39:02 +0800

=== debian/tests/control ===
Test-Command: make --always-make --file debian/tests/smoke.mk
Restrictions: allow-stderr
Depends:
 boxer,
 boxer-data,

## boxer-data 10.7.7

=== debian/changelog ===
boxer-data (10.7.7) unstable; urgency=medium

  * Fix class Desktop.environment.xfce: Include package xcfe4-panel.
    Closes: Bug#926248.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2019 20:33:31 +0200
